import { h } from '@stencil/core';
import { RTEBlockRenderer } from './block-renderer.abstract';
import RTEImageNodeRenderer from '../nodes/image-node-renderer';
class RTEImageBlockRenderer extends RTEBlockRenderer {
  render(block, renderContext) {
    return (h("div", Object.assign({}, this.getCustomAttrs(block), { key: block.id, ref: (ref) => super.registerRef(ref, block), style: block.getStyles(), class: block.getClasses() }), block.children.map((node) => {
      return RTEImageNodeRenderer.render(node, renderContext);
    })));
  }
}
export default new RTEImageBlockRenderer();
